The My Business Business Information API provides an interface for managing business information on Google. Note: If you have a quota of 0 after enabling the API, please request GBP API access at <https://developers.google.com/my-business/content/prereqs#request-access>.

- [REST Resource: v1.accounts.locations](https://developers.google.com/my-business/reference/businessinformation/rest#v1.accounts.locations)
- [REST Resource: v1.attributes](https://developers.google.com/my-business/reference/businessinformation/rest#v1.attributes)
- [REST Resource: v1.categories](https://developers.google.com/my-business/reference/businessinformation/rest#v1.categories)
- [REST Resource: v1.chains](https://developers.google.com/my-business/reference/businessinformation/rest#v1.chains)
- [REST Resource: v1.googleLocations](https://developers.google.com/my-business/reference/businessinformation/rest#v1.googleLocations)
- [REST Resource: v1.locations](https://developers.google.com/my-business/reference/businessinformation/rest#v1.locations)
- [REST Resource: v1.locations.attributes](https://developers.google.com/my-business/reference/businessinformation/rest#v1.locations.attributes)
- [REST Resource: v1alpha.accounts.locations](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.accounts.locations)
- [REST Resource: v1alpha.attributes](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.attributes)
- [REST Resource: v1alpha.categories](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.categories)
- [REST Resource: v1alpha.chains](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.chains)
- [REST Resource: v1alpha.googleLocations](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.googleLocations)
- [REST Resource: v1alpha.locations](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.locations)
- [REST Resource: v1alpha.locations.attributes](https://developers.google.com/my-business/reference/businessinformation/rest#v1alpha.locations.attributes)

## Service: mybusinessbusinessinformation.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://mybusinessbusinessinformation.googleapis.com/$discovery/rest?version=v1>
- <https://mybusinessbusinessinformation.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusinessbusinessinformation.googleapis.com`

## REST Resource: [v1.accounts.locations](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create` | `POST /v1/{parent=accounts/*}/locations` Creates a new Location that will be owned by the logged in user. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/list` | `GET /v1/{parent=accounts/*}/locations` Lists the locations for the specified account. |

## REST Resource: [v1.attributes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/attributes)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/attributes/list` | `GET /v1/attributes` Returns the list of attributes that would be available for a location with the given primary category and country. |

## REST Resource: [v1.categories](https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/batchGet` | `GET /v1/categories:batchGet` Returns a list of business categories for the provided language and GConcept ids. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/categories/list` | `GET /v1/categories` Returns a list of business categories. |

## REST Resource: [v1.chains](https://developers.google.com/my-business/reference/businessinformation/rest/v1/chains)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/chains/get` | `GET /v1/{name=chains/*}` Gets the specified chain. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/chains/search` | `GET /v1/chains:search` Searches the chain based on chain name. |

## REST Resource: [v1.googleLocations](https://developers.google.com/my-business/reference/businessinformation/rest/v1/googleLocations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/googleLocations/search` | `POST /v1/googleLocations:search` Search all of the possible locations that are a match to the specified request. |

## REST Resource: [v1.locations](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/delete` | `DELETE /v1/{name=locations/*}` Deletes a location. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/get` | `GET /v1/{name=locations/*}` Returns the specified location as last set by the merchant. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/getAttributes` | `GET /v1/{name=locations/*/attributes}` Retrieves attributes for a location as last set by the merchant. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/getGoogleUpdated` | `GET /v1/{name=locations/*}:getGoogleUpdated` Returns the specified location as it appears live on Google Maps and Search. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/patch` | `PATCH /v1/{location.name=locations/*}` Updates the specified location. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations/updateAttributes` | `PATCH /v1/{attributes.name=locations/*/attributes}` Update attributes for a given location. |

## REST Resource: [v1.locations.attributes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations.attributes)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1/locations.attributes/getGoogleUpdated` | `GET /v1/{name=locations/*/attributes}:getGoogleUpdated` Retrieves attributes for a location as they appear live on Google Maps and Search. |

## REST Resource: [v1alpha.accounts.locations](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/accounts.locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/accounts.locations/create` | `POST /v1alpha/{parent=accounts/*}/locations` Creates a new Location that will be owned by the logged in user. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/accounts.locations/list` | `GET /v1alpha/{parent=accounts/*}/locations` Lists the locations for the specified account. |

## REST Resource: [v1alpha.attributes](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/attributes)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/attributes/list` | `GET /v1alpha/attributes` Returns the list of attributes that would be available for a location with the given primary category and country. |

## REST Resource: [v1alpha.categories](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/categories)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/categories/batchGet` | `GET /v1alpha/categories:batchGet` Returns a list of business categories for the provided language and GConcept ids. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/categories/list` | `GET /v1alpha/categories` Returns a list of business categories. |

## REST Resource: [v1alpha.chains](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/chains)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/chains/get` | `GET /v1alpha/{name=chains/*}` Gets the specified chain. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/chains/search` | `GET /v1alpha/chains:search` Searches the chain based on chain name. |

## REST Resource: [v1alpha.googleLocations](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/googleLocations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/googleLocations/search` | `POST /v1alpha/googleLocations:search` Search all of the possible locations that are a match to the specified request. |

## REST Resource: [v1alpha.locations](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/delete` | `DELETE /v1alpha/{name=locations/*}` Deletes a location. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/get` | `GET /v1alpha/{name=locations/*}` Returns the specified location as last set by the merchant. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getAttributes` | `GET /v1alpha/{name=locations/*/attributes}` Retrieves attributes for a location as last set by the merchant. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getExtended` | `GET /v1alpha/{name=locations/*}:getExtended` Returns the specified location with extended metadata. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/getGoogleUpdated` | `GET /v1alpha/{name=locations/*}:getGoogleUpdated` Returns the specified location as it appears live on Google Maps and Search. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch` | `PATCH /v1alpha/{location.name=locations/*}` Updates the specified location. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/updateAttributes` | `PATCH /v1alpha/{attributes.name=locations/*/attributes}` Update attributes for a given location. |

## REST Resource: [v1alpha.locations.attributes](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getExtended` | `GET /v1alpha/{name=locations/*/attributes}:getExtended` Returns the specified attributes with extended metadata. |
| `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations.attributes/getGoogleUpdated` | `GET /v1alpha/{name=locations/*/attributes}:getGoogleUpdated` Retrieves attributes for a location as they appear live on Google Maps and Search. |